<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gsi_authz</name>
    <title>GSI Authorization API</title>
    <filename>group__globus__gsi__authz.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_handle_init</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>g27694e2f595ed4e9a587beede6577814</anchor>
      <arglist>(globus_gsi_authz_handle_t *handle, const char *service_name, const gss_ctx_id_t context, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authorize</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>g57d8ec999f5acffd1a8fa3c7d0139066</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, const void *action, const void *object, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_handle_destroy</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>gd3887b764ecc7ddecf9932327485c4b2</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_get_authorization_identity</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>g0e11e108234b591ab43a9d7a92f36805</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, char **identity_ptr, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_authz_constants</name>
    <title>GSI Credential Constants</title>
    <filename>group__globus__gsi__authz__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_authz_error_t</name>
      <anchor>gce112ef52cac225e5c7921a86502b991</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_SUCCESS</name>
      <anchor>ggce112ef52cac225e5c7921a86502b991e8f9ff021ae8680f668c80ff08c40b7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_ERRNO</name>
      <anchor>ggce112ef52cac225e5c7921a86502b991a9f579e13b6cc4eb28420448138b1e50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_BAD_PARAMETER</name>
      <anchor>ggce112ef52cac225e5c7921a86502b991fdb3819a74f3da53db56b8d2139f0127</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_CALLOUT</name>
      <anchor>ggce112ef52cac225e5c7921a86502b9910e7e44b2e64818acd90153a27a4ca74a</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
